Bug 545328

Summary: qemu-system-ppc.x86_64 can't create ppc guest on x86_64 host (kernel panic after installer starts)
Product: [Fedora] Fedora Reporter: Andre Robatino <robatino>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: adam, berrange, dwayne.fontenot, dwmw2, gcosta, itamar, jaswinder, jforbes, markmc, quintela, thomas.landry, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-04-25 13:06:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Andre Robatino 2009-12-08 02:31:07 EST
Description of problem:
On a Rawhide x86_64 host, create an image file with qemu-img, then try using qemu-system-ppc to create a ppc guest with the Fedora 12 ppc DVD image:

qemu-img create Fedora_12_ppc.img 20G
qemu-system-ppc -hda Fedora_12_ppc.img -cdrom Fedora-12-ppc-DVD.iso

This fails with the error

cd:0,\ppc\chrp\yaboot.conf: Unknown or corrupt filesystem
Can't open config file
Welcome to yaboot version 1.3.14 (Red Hat 1.3.14-23.fc12)
Enter "help" to get some basic usage information
boot:

The same exact procedure works with an x86_64 guest - the Fedora 12 install screen appears.

Version-Release number of selected component (if applicable):
qemu-system-ppc-0.11.0-12.fc13.x86_64

How reproducible:
always

Additional info:
Same basic problem as bug #246066.
Comment 1 Dwayne Fontenot 2010-01-06 15:34:11 EST
I get exact same error message attempting to boot Fedora-12-ppc-DVD.iso
on a ppc32 guest using virt-manager / libvirt on a F12 x86_64 host.

qemu-system-ppc-0.11.0-12.fc12.x86_64

F12 x86_64 host up to date as of today.
Comment 2 Andre Robatino 2010-01-13 04:15:24 EST
Same error with qemu-system-ppc-0.12.1.2-3.fc13.x86_64 in Rawhide.
Comment 3 Andre Robatino 2010-02-05 11:57:59 EST
Same error with qemu-system-ppc-0.12.2-5.fc13.x86_64 in Rawhide.
Comment 4 Thomas Landry 2010-02-15 12:07:19 EST
The file \ppc\chrp\yaboot.conf does not exist on the ISO.

On boot: prompt type :

For a 64bit guest:  cd:0,\ppc\chrp\yaboot conf=\ppc\ppc64\yaboot.conf

For a 32bit guest:  cd:0,\ppc\chrp\yaboot conf=\ppc\ppc\yaboot.conf

That's it.
Comment 5 Thomas Landry 2010-02-15 12:14:30 EST
(In reply to comment #4)
> The file \ppc\chrp\yaboot.conf does not exist on the ISO.
> On boot: prompt type :
> For a 64bit guest:  cd:0,\ppc\chrp\yaboot conf=\ppc\ppc64\yaboot.conf
> For a 32bit guest:  cd:0,\ppc\chrp\yaboot conf=\ppc\ppc\yaboot.conf
> That's it.    

Ouups.. it goes better with the device :

For a 64bit guest:  cd:0,\ppc\chrp\yaboot conf=cd:0,\ppc\ppc64\yaboot.conf

For a 32bit guest:  cd:0,\ppc\chrp\yaboot conf=cd:0,\ppc\ppc\yaboot.conf
Comment 6 Andre Robatino 2010-02-15 12:25:33 EST
I think for 32-bit PPC that should be

cd:0,\ppc\chrp\yaboot conf=cd:0,\ppc\ppc32\yaboot.conf

It appears to be running now - not knowing anything about PPC in general or yaboot, what is the significance of this?  Does it mean that the PPC DVD image was incorrectly composed, and that this should be closed as NOTABUG?
Comment 7 Andre Robatino 2010-02-15 14:25:04 EST
I'm getting a kernel panic shortly after the installer boots (this is on Fedora 12 x86_64 host, ppc32 guest, using the Fedora 12 32-bit ppc DVD ISO).
Comment 8 Andre Robatino 2010-02-15 17:26:23 EST
Also panics on a Rawhide x86_64 host with ppc32 guest using the Fedora 12 32-bit ppc DVD ISO file.
Comment 9 Fedora Admin XMLRPC Client 2010-03-09 11:53:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2010-03-09 12:19:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Bug Zapper 2010-03-15 09:29:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Andre Robatino 2010-04-21 01:15:07 EDT
Still getting the kernel panic on Rawhide x86_64 host with Fedora 12 ppc32 guest (using ISO file).

qemu-system-ppc-0.12.3-5.fc14.x86_64
Comment 13 Bug Zapper 2010-07-30 06:48:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Andre Robatino 2010-09-01 16:29:44 EDT
Still broken in Rawhide with qemu-system-ppc-0.13.0-0.5.20100809git25fdf4a.fc15.x86_64.
Comment 15 Justin M. Forbes 2011-04-25 13:06:22 EDT
Closing this as qemu-system-ppc has been removed from Fedora support.